/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TInputTypeparam;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputTypeparamRecord extends UpdatableRecordImpl<TInputTypeparamRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_typeparam.pk_input_typeparam</code>.
     */
    public void setPkInputTypeparam(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparam.pk_input_typeparam</code>.
     */
    public Integer getPkInputTypeparam() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_typeparam.fk_inputtype</code>.
     */
    public void setFkInputtype(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparam.fk_inputtype</code>.
     */
    public Integer getFkInputtype() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_typeparam.inputtype_param</code>.
     * param of this input type
     */
    public void setInputtypeParam(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparam.inputtype_param</code>.
     * param of this input type
     */
    public Integer getInputtypeParam() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_typeparam.inputtype_paramkey</code>.
     * language key of this input type param
     */
    public void setInputtypeParamkey(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparam.inputtype_paramkey</code>.
     * language key of this input type param
     */
    public String getInputtypeParamkey() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_input_typeparam.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparam.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputTypeparamRecord
     */
    public TInputTypeparamRecord() {
        super(TInputTypeparam.T_INPUT_TYPEPARAM);
    }

    /**
     * Create a detached, initialised TInputTypeparamRecord
     */
    public TInputTypeparamRecord(Integer pkInputTypeparam, Integer fkInputtype, Integer inputtypeParam, String inputtypeParamkey, LocalDateTime lastchange) {
        super(TInputTypeparam.T_INPUT_TYPEPARAM);

        setPkInputTypeparam(pkInputTypeparam);
        setFkInputtype(fkInputtype);
        setInputtypeParam(inputtypeParam);
        setInputtypeParamkey(inputtypeParamkey);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
